Bug 130892 - FILEOPEN Percentage format in ODS pie chart is disregarded in existing files
Summary: FILEOPEN Percentage format in ODS pie chart is disregarded in existing files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-02-24 03:08 UTC by Aron Budea
Modified: 2020-05-12 06:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2020-02-24 03:08:05 UTC
Open attachment 149666 [details] from bug 123774.

=> The percentages should be showed with 3 decimals, but are shown with none.

This is a regression from the following commit (also backported to 6.4.0 and 6.3.5). Adding CC: to Balazs Varga.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e57d90cd4e51a1353eafc87bb29cfe6076704a7c
author		Balazs Varga <balazs.varga991@gmail.com>	2019-12-10 12:53:08 +0100
committer	László Németh <nemeth@numbertext.org>	2019-12-16 08:58:25 +0100

"tdf#129173 tdf#129175 Fix number format of data labels"

When Balazs fixed bug 123774, we came to the conclusion that the fix only applied to new files, because some chart property wasn't stored correctly before. It seems that the same is the case here (starting with a different commit): creating a new file with similar properties shows the percentages correcly.

However, since plenty of files with various charts properties already exist in the wild, old files should be handled correctly as well.